AFPExtensionAttachment (Apache FOP Core 2.11 API)
Date: 2025-04-24

org.apache.fop.render.afp.extensions

## Class AFPExtensionAttachment

- java.lang.Object
- - org.apache.fop.render.afp.extensions.AFPExtensionAttachment

- All Implemented Interfaces:
    Serializable, ExtensionAttachment, org.apache.xmlgraphics.util.XMLizable
  Direct Known Subclasses:
    AFPIncludeFormMap, AFPInvokeMediumMap, AFPPageOverlay, AFPPageSetup

      public abstract class AFPExtensionAttachment
      extends Object
      implements ExtensionAttachment, Serializable, org.apache.xmlgraphics.util.XMLizable

  This is the pass-through value object for the AFP extension.
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ATT_NAME` name attribute
    `static String` | `CATEGORY` The category URI for this extension attachment.
    `protected String` | `elementName` the extension element name
    `protected String` | `name` the extension name attribute

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AFPExtensionAttachment(String elementName)` Default constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCategory()` This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
    `String` | `getElementName()`
    `String` | `getName()`
    `protected boolean` | `hasName()`
    `void` | `setName(String name)` Sets the name of the setup code object.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlgraphics.util.XMLizable

      `toSAX`

- - ### Field Detail

    - #### CATEGORY

          public static final String CATEGORY

      The category URI for this extension attachment.
      See Also:
        Constant Field Values

    - #### ATT_NAME

          protected static final String ATT_NAME

      name attribute
      See Also:
        Constant Field Values

    - #### elementName

          protected String elementName

      the extension element name

    - #### name

          protected String name

      the extension name attribute

  - ### Constructor Detail

    - #### AFPExtensionAttachment

          public AFPExtensionAttachment(String elementName)

      Default constructor.
      Parameters:
        `elementName` - the name of the afp extension attachment, may be null

  - ### Method Detail

    - #### getElementName

          public String getElementName()

      Returns:
        the name

    - #### hasName

          protected boolean hasName()

      Returns:
        true if this element has a name attribute

    - #### getName

          public String getName()

      Returns:
        the name

    - #### setName

          public void setName(String name)

      Sets the name of the setup code object.
      Parameters:
        `name` - The name to set.

    - #### getCategory

          public String getCategory()

      This method returns a category URI that allows a processor (layout manager or renderer) to determine if it supports this object.
      Specified by:
        `getCategory` in interface `ExtensionAttachment`
      Returns:
        the category URI

Copyright © 2025 Apache Software Foundation. All rights reserved.